/***************************************************************************
 *
 *  ZXEmuT -- ZX Spectrum Emulator with Tcl scripting
 *
 *  Copyright (C) 2012-2022 Ketmar Dark <ketmar@ketmar.no-ip.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License ONLY.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 **************************************************************************/
static const uint8_t autotape_p2a[1815] = {
0x5a,0x58,0x53,0x54,0x01,0x04,0x04,0x00,0x43,0x52,0x54,0x52,0x24,0x00,0x00,0x00,
0x5a,0x58,0x45,0x6d,0x75,0x54,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x5a,0x38,0x30,0x52,0x25,0x00,0x00,0x00,0x45,0x00,0x11,0x00,
0x11,0x00,0xcb,0x5c,0x2b,0x14,0x04,0x17,0x38,0x00,0x38,0x00,0xe2,0x5c,0x3a,0x5c,
0x44,0xff,0x56,0x05,0x00,0x62,0x01,0x01,0x01,0x74,0xb1,0x00,0x00,0x00,0x00,0x56,
0x05,0x53,0x50,0x43,0x52,0x08,0x00,0x00,0x00,0x07,0x10,0x14,0xbf,0x00,0x00,0x00,
0x00,0x41,0x4d,0x58,0x4d,0x07,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,
0x41,0x59,0x00,0x00,0x12,0x00,0x00,0x00,0x00,0x07,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0xff,0x00,0x00,0x00,0x00,0x00,0x00,0xff,0x00,0x52,0x41,0x4d,0x50,0xda,0x00,
0x00,0x00,0x01,0x00,0x00,0x78,0xda,0xed,0xd0,0xb1,0x4a,0x43,0x31,0x14,0xc6,0xf1,
0x8f,0x80,0xd0,0xd2,0xc1,0x76,0xf6,0x05,0xc4,0xb5,0x4b,0xa9,0x97,0x10,0x0e,0x57,
0x29,0x85,0x0a,0x76,0xe8,0xd0,0xde,0xc9,0xc1,0xd9,0xb1,0x43,0xb8,0x3e,0x93,0x83,
0xe0,0xe8,0xee,0xee,0xe2,0xd6,0x07,0x29,0xe6,0xc4,0xe2,0xec,0xe6,0xf2,0xff,0x2d,
0xc9,0xc9,0x39,0x5f,0x02,0x91,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xe0,0xbf,0x3d,0xf3,0x05,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0xf8,0x93,0xaf,0x90,0x67,0xef,0x87,0x95,0xde,0xee,0x2f,0x7f,0xf7,0x2f,0xd3,
0xeb,0xee,0xb3,0x9b,0xe8,0x46,0x9b,0xb3,0xab,0xdd,0xf9,0xe8,0xd0,0x7d,0x74,0xab,
0xf1,0x7c,0xa7,0xa8,0xf8,0x1a,0x2f,0x86,0x6a,0xcc,0x7a,0x33,0x29,0x5b,0x36,0xcb,
0x2a,0x75,0x4a,0xd6,0x48,0xfb,0xd6,0xac,0xdd,0x4b,0x7d,0xca,0x29,0xf5,0xa7,0x35,
0xd5,0xfe,0x9d,0xf7,0x6b,0xac,0xe4,0xe2,0xa0,0x88,0x52,0x08,0xc1,0xfc,0xbc,0x5d,
0x3c,0x2d,0xda,0x72,0x9e,0x5c,0xc9,0xd9,0xe3,0xb6,0xce,0xd9,0xc3,0x7a,0x79,0x6b,
0x9e,0xb7,0x3a,0xe7,0xaf,0xfd,0xdc,0x67,0xeb,0xe5,0xa9,0xf6,0x5c,0x93,0x9a,0xe0,
0xfd,0xe3,0xd8,0xf9,0x3b,0x75,0xfe,0x1b,0xce,0x89,0x34,0x2c,0x52,0x41,0x4d,0x50,
0x2d,0x00,0x00,0x00,0x01,0x00,0x01,0x78,0xda,0xed,0xc1,0x01,0x0d,0x00,0x00,0x0c,
0x02,0x20,0xfb,0xf7,0xb4,0x87,0x35,0xbe,0x0f,0x48,0x00,0x00,0x00,0x80,0xef,0x0a,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x9c,0x37,0x1e,0x4e,0xf2,
0x77,0x52,0x41,0x4d,0x50,0x2e,0x00,0x00,0x00,0x01,0x00,0x02,0x78,0xda,0xed,0xd0,
0x31,0x01,0x00,0x00,0x0c,0x02,0x20,0x9b,0x5b,0xdd,0x18,0x3b,0x06,0x11,0x48,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xae,0x55,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0xef,0x0d,0xc0,0xb9,0x00,0x80,0x52,0x41,0x4d,0x50,0x2b,0x00,0x00,0x00,0x01,
0x00,0x03,0x78,0xda,0xed,0xc1,0x31,0x01,0x00,0x00,0x00,0xc2,0xa0,0xfe,0x41,0xd7,
0xc3,0x18,0x3e,0x40,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x6f,0x03,0x3f,0xf8,0x43,0x58,0x52,0x41,0x4d,0x50,0x2b,0x00,
0x00,0x00,0x01,0x00,0x04,0x78,0xda,0xed,0xc1,0x31,0x01,0x00,0x00,0x00,0xc2,0xa0,
0xfe,0x41,0xd7,0xc3,0x18,0x3e,0x40,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x6f,0x03,0x3f,0xf8,0x43,0x58,0x52,0x41,0x4d,
0x50,0xdf,0x02,0x00,0x00,0x01,0x00,0x05,0x78,0xda,0xed,0xd7,0xcf,0x4b,0x14,0x61,
0x18,0x07,0xf0,0x67,0xdc,0xd7,0xd6,0x1f,0xbb,0xec,0x84,0x8a,0x06,0x0b,0xce,0x5a,
0x84,0x94,0x87,0x90,0x0e,0x2f,0xcb,0x9b,0xbe,0x0d,0x2f,0x24,0x44,0xb2,0x90,0x95,
0x34,0xef,0x51,0xd0,0xa0,0x43,0x44,0x87,0x11,0x96,0x75,0x0b,0xff,0x82,0x88,0xe8,
0xe0,0xa1,0x5b,0xfe,0x05,0x5d,0x82,0x30,0xd4,0x83,0x59,0x5a,0x67,0x2b,0x04,0x91,
0x4e,0x9a,0xb1,0x0a,0x42,0xee,0x8e,0xcf,0xcc,0xae,0x3f,0xa8,0x29,0x82,0x3a,0xb8,
0xf5,0x7c,0x1e,0xdc,0x9d,0x9d,0xe7,0x9d,0x61,0xbf,0xef,0xce,0x2f,0x01,0x08,0x21,
0x84,0x10,0x42,0x08,0x21,0x84,0x10,0x42,0x8e,0x2a,0xa3,0x84,0xf5,0xcf,0xa7,0x94,
0x00,0x2c,0xbc,0x13,0xd9,0xc1,0x82,0x1e,0x7f,0xd1,0xc4,0x0a,0xec,0x0d,0xcd,0x4a,
0xf1,0xa0,0xbc,0x54,0xaa,0xac,0x31,0xf7,0xb7,0xcb,0x66,0x73,0x42,0x1d,0x6c,0x72,
0xd4,0xf3,0x73,0xce,0x78,0x32,0xac,0x13,0xdd,0xc6,0x82,0x3a,0x97,0xf3,0x24,0x07,
0xce,0x5d,0x7c,0x71,0x19,0xb8,0x49,0xce,0x39,0xd8,0xd2,0x56,0x95,0xdc,0x1c,0x92,
0x1c,0x57,0xfa,0x69,0x2b,0x3d,0x6c,0xf6,0x01,0x57,0xb8,0xbe,0x1a,0xf2,0x2b,0x26,
0x94,0x15,0xd6,0x49,0x6c,0x60,0x41,0x9d,0x92,0xca,0xc2,0x1f,0x93,0x29,0x05,0x4c,
0x09,0x50,0x96,0x92,0xd2,0xcf,0xdf,0x59,0xc9,0xaf,0xc0,0x62,0xb8,0xd2,0xcf,0x5f,
0xee,0x65,0xed,0xac,0x7d,0x07,0xcc,0x81,0x73,0x96,0xaa,0x8a,0xfc,0x42,0xb9,0xa1,
0xf9,0xdb,0x97,0xb1,0x30,0x3f,0x77,0xfd,0xfc,0x38,0x0a,0x04,0xce,0x81,0xb2,0xf0,
0x80,0xc0,0xe3,0x3f,0x67,0x1e,0xe4,0xc7,0x09,0x74,0x4d,0x3c,0x53,0xca,0x3d,0x1b,
0x9b,0x7d,0x98,0xdf,0xb4,0xdc,0xaa,0xc8,0xaf,0x94,0x0c,0xcd,0xdf,0x3b,0x85,0x85,
0xf9,0x99,0xf4,0xf3,0x2b,0x57,0x02,0x0e,0x05,0xd7,0x92,0x8c,0x81,0x94,0xf6,0xa1,
0xfc,0x4a,0x59,0x32,0x38,0xfe,0x83,0x9e,0xad,0xfc,0x93,0xc3,0xcf,0x2f,0xab,0x20,
0x7f,0x8e,0x0b,0x21,0x42,0xf3,0x8f,0xe5,0xb1,0xa0,0x47,0xb9,0xc2,0x8a,0x41,0x4c,
0x48,0x81,0xbf,0xbf,0x00,0x69,0x09,0xd7,0x05,0x99,0xdb,0xcf,0x8f,0xe7,0xbf,0x50,
0x49,0x11,0xf3,0xe7,0x32,0xe8,0x65,0xed,0x9c,0x6d,0x43,0xac,0x93,0x27,0x45,0x55,
0xdf,0x19,0xbc,0xa0,0x0e,0xdf,0x28,0x0e,0xbd,0xfd,0xec,0x5e,0xf2,0x03,0x4e,0xc8,
0x11,0x76,0x29,0x20,0x43,0xd8,0x77,0xef,0xdd,0x1e,0x91,0x7f,0xba,0xff,0xad,0x59,
0xa3,0x38,0x96,0xd6,0xce,0xba,0x59,0xe8,0xd6,0xce,0xda,0xa8,0x51,0x6c,0x4f,0x0f,
0x3b,0xeb,0xac,0x7b,0x18,0x3f,0x7c,0x7b,0xf5,0x75,0xee,0x2d,0x38,0xab,0x67,0x6e,
0x3a,0x2b,0x73,0xab,0xa9,0xf3,0xce,0xca,0xd6,0xec,0xb4,0x59,0xf9,0x5c,0xe8,0x31,
0x71,0xf0,0xda,0x28,0x8e,0x9c,0xff,0x8c,0x3b,0xc1,0x25,0xed,0x4c,0x3f,0x3b,0xdd,
0x7f,0xea,0xe9,0x12,0x78,0xd7,0x6b,0x27,0xea,0xcc,0xc5,0x81,0x46,0xff,0x1c,0xcb,
0xc0,0xa3,0x66,0x80,0x82,0x73,0xad,0xb9,0x72,0xd2,0x35,0x60,0x0d,0x5c,0xac,0x37,
0x22,0xd1,0x44,0x7b,0xef,0x98,0x57,0xda,0xd9,0xde,0x58,0x9e,0xca,0xff,0x8d,0x8b,
0xc2,0x52,0x4d,0x96,0x3f,0x29,0x5e,0x81,0x85,0xc6,0x97,0x99,0x48,0xe4,0x43,0x03,
0x80,0x1e,0x69,0x82,0x42,0x3c,0xd5,0x06,0x80,0x5f,0x0b,0x3e,0x76,0x9d,0x6d,0x1e,
0x4f,0x7d,0x8a,0x8e,0xa7,0xba,0xa2,0xc7,0xe3,0x27,0xa2,0xc1,0x15,0xc4,0x83,0x54,
0x3c,0x7e,0xb2,0x06,0x97,0x9a,0xc0,0x80,0x63,0xd0,0x88,0xaf,0xfe,0xfb,0x2f,0x9e,
0x10,0x85,0x84,0x0b,0x13,0x56,0x7f,0xf9,0xfa,0xe3,0x95,0x3c,0x03,0x9f,0xa5,0xe6,
0x35,0xc0,0x73,0xfd,0x42,0xcf,0xeb,0x77,0xfa,0xb5,0x7e,0x83,0xb5,0xa8,0xb7,0xf5,
0x7b,0x5d,0xc0,0x82,0x87,0x1a,0x6a,0xf6,0x9f,0xdc,0x13,0x00,0x33,0x00,0x83,0xe5,
0xad,0x59,0x2b,0xc8,0x62,0x26,0xd5,0xc6,0x5a,0x71,0x27,0xbf,0xf1,0x48,0x76,0xc3,
0xf3,0xbc,0xcd,0xfa,0x49,0xf3,0xf2,0x66,0xfd,0x4c,0xcb,0xd5,0xfb,0x89,0x99,0x96,
0xc1,0xda,0x34,0xa4,0x33,0xf9,0xfc,0x97,0x8e,0x8e,0x78,0x1e,0x3c,0x6b,0x0f,0xc0,
0x90,0x3f,0xa9,0xdf,0x4d,0x6c,0x3e,0xbe,0x80,0x5f,0x74,0x48,0x33,0xfa,0x17,0x8a,
0xfc,0xb7,0x26,0xf1,0xef,0xd6,0xe2,0x63,0x83,0x66,0x82,0x10,0x42,0x08,0x21,0x84,
0x10,0x42,0x08,0x21,0x84,0x10,0x42,0x08,0x21,0x84,0x10,0x42,0x08,0xa9,0x7e,0xbb,
0x63,0xde,0x76,0xb5,0x52,0x41,0x4d,0x50,0x2b,0x00,0x00,0x00,0x01,0x00,0x06,0x78,
0xda,0xed,0xc1,0x31,0x01,0x00,0x00,0x00,0xc2,0xa0,0xfe,0x41,0xd7,0xc3,0x18,0x3e,
0x40,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x6f,0x03,0x3f,0xf8,0x43,0x58,0x52,0x41,0x4d,0x50,0xa8,0x01,0x00,0x00,0x01,
0x00,0x07,0x78,0xda,0xed,0xd8,0xcd,0x4b,0xc2,0x60,0x1c,0x07,0xf0,0xdf,0xe3,0x96,
0x33,0x53,0xb4,0x14,0xd3,0x4b,0x69,0x78,0x88,0xc8,0x4b,0xa7,0x41,0x07,0x2d,0x0a,
0x8a,0x30,0xa4,0x8e,0x15,0x74,0xe8,0x50,0x44,0x10,0x74,0x15,0x1a,0xe1,0xc1,0x63,
0xc7,0xe8,0xe4,0xb1,0x43,0x54,0x7f,0x41,0x48,0x44,0x84,0x84,0xff,0x80,0x51,0x43,
0x8f,0x5d,0x04,0xa1,0x82,0x5e,0xd6,0xe6,0x5c,0x23,0x10,0xea,0xa0,0x26,0xfa,0xfd,
0x88,0x3e,0xdf,0xe9,0xd8,0xef,0x79,0xd9,0x86,0x8c,0x08,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xa0,0x7b,0x2c,0x86,0xff,0xb9,0x03,0x33,0xf3,
0xcb,0x0b,0x41,0x5d,0xdd,0xdf,0xa7,0xb0,0x46,0x00,0x9d,0xa4,0x19,0x97,0xf4,0xa1,
0x2c,0xc8,0x8f,0xb5,0x9c,0x65,0x4f,0x46,0xbc,0x62,0xcf,0x46,0xbc,0x66,0x4c,0xae,
0xc5,0x1b,0xe6,0x30,0xe2,0x2d,0x1b,0x34,0x62,0x8e,0x8d,0x18,0xf1,0x8e,0x45,0x8c,
0x98,0x67,0x58,0x30,0x68,0x18,0x9b,0xfa,0x16,0x65,0x73,0x3b,0x5b,0x8c,0x94,0xea,
0xed,0x77,0x5c,0xfb,0x36,0x4c,0x9c,0x40,0x67,0x14,0xa5,0x2c,0xb9,0x89,0x91,0x85,
0xa3,0xd1,0x5e,0xb5,0x19,0x5b,0x5a,0x27,0xde,0xbc,0x8e,0xca,0x45,0x2a,0xa5,0x03,
0xc9,0xc0,0x41,0xa0,0x59,0xfd,0xe6,0xa7,0xbf,0xe3,0x5a,0x69,0xa7,0x11,0xc5,0x78,
0x6d,0x64,0x93,0xd5,0x91,0x91,0x64,0xd3,0x46,0x66,0x4e,0x52,0x5c,0x31,0x37,0x72,
0xa5,0x59,0xbf,0xf6,0xfa,0xf5,0xae,0xb2,0x1b,0x4e,0xab,0x3d,0x92,0x98,0xc5,0xc6,
0xfd,0xbd,0x17,0xb1,0x5a,0x6b,0x9f,0x38,0x1f,0x72,0xb8,0x88,0x84,0x39,0x9c,0xa3,
0x9d,0xa5,0xb2,0x72,0xe1,0x39,0x55,0xb4,0x7f,0xba,0x99,0x02,0x66,0xa3,0xa5,0x38,
0xc1,0x35,0x1c,0xdd,0x57,0x3e,0xdf,0x5f,0xcb,0x72,0x56,0x6a,0xc4,0x11,0x0b,0x96,
0xa4,0x78,0xf4,0x11,0xa7,0x7c,0xdf,0x65,0x82,0xe3,0xee,0xed,0x44,0xab,0x9b,0x1e,
0xaa,0x38,0x43,0xea,0xed,0x21,0x53,0x18,0x88,0x90,0x72,0xe2,0x49,0x85,0x1e,0x84,
0x54,0x68,0x5c,0xe8,0x77,0x06,0x04,0xac,0x01,0x00,0xe8,0x24,0x45,0x24,0x51,0x6d,
0xbd,0x5d,0x34,0xe6,0x8d,0xad,0xbd,0x6d,0x05,0x4b,0xdf,0x5d,0x82,0xd5,0x4f,0xab,
0x8f,0x62,0x6f,0x89,0x90,0xdf,0xea,0x63,0xfa,0x79,0xdf,0x5a,0xe2,0x0f,0xa8,0x8e,
0xea,0xa8,0x8e,0xea,0xa8,0xde,0x69,0xd5,0xa1,0x2d,0xbc,0x08,0xbc,0xf6,0x70,0x91,
0x77,0x7b,0x31,0x17,0x00,0x00,0xd0,0x9e,0x58,0x8f,0xfe,0x10,0xc6,0x85,0xa9,0x80,
0xa6,0xfa,0x02,0x58,0x90,0x79,0xad,
};
